<?php header ("Content-type: text/xml"); ?>
<?

  include(Str_Replace("bingrep.php","config.inc",__FILE__));
  include(Str_Replace("bingrep.php","system.inc",__FILE__));

  if (!$regexp) 
  {
    echo '<?xml version="1.0"?>';
    echo '<?xml-stylesheet type="text/xsl" href="bingrep.xsl"?>';
    echo '<bingrep>';
    echo '  <error>You must specify the pattern.</error>';
    die  ('</bingrep>');
  }
  
  if (!$message) $message="*";
  if (!$host) $host="*";
  if (!$agent) $agent="*";
  if (!$instance) $instance="*";
  if (!$attrs) $attrs="*";

  $bingrep_params = Array (
            "$bingrep_executable",
	    "-C $bingrep_config_file",
            "-S BinGrep.InputDatafile=$binstorage.dat",
            "-S BinGrep.InputIndexfile=$binstorage.idx",
            "-S BinGrep.OutputFile=stdout",
            "-S \"BinGrep.MsgName=$message\"",
            "-S \"BinGrep.Host=$host\"",
            "-S \"BinGrep.AgentName=$agent\"",
            "-S \"BinGrep.Instance=$instance\"",
            "-S \"BinGrep.AttrSearch=$attrs\"",
            "-S \"BinGrep.Pattern=$regexp\"");

  $result = mysystem ($bingrep_params, false);

  if (count($result) < 2 || (ereg ("xml version", $result[0]) == false))
  {
      for ($i=0;$i<count($result);$i++)
      {
          echo htmlentities ($result[$i]) . "<BR>";
      }
  }

  header ("Content-type: text/xml");

  for ($i=1;$i<count($result);$i++)
  {
      echo $result[$i];
  }

?>
